Subject: Re: MMU in MBX860

From: Dan Malek <[email-masked]>
Date: Thu, 25 Oct 2001 00:01:12 -0400

Okehee Goh wrote:

>  My question:
>  In MPC860, is there any way for supervisor mode's kernel to access all
> memory space

That's the purpose of the SHARED indicator in the TLB.  It effectively
disables ASID checking and if you mark pages SHARED but not user access
the kernel can access all pages while the applications are still protected.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/